function love.load()
player = {}
player.x=460
player.y=460
player.size = 20

wallsize = 20

computer = {}
computer.x = 220
computer.y = 220
computer.size = 20
computer.speed = 0.01

eXit = {}
eXit.x = 40
eXit.y = 460
eXit.size = 20

map =  {{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
		{1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1},
		{1,0,1,1,0,1,0,0,1,0,0,1,1,1,1,1,1,0,1,0,1,0,1,1},
		{1,0,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,1},
		{1,1,0,1,0,1,0,1,1,1,0,1,1,1,1,1,1,0,1,0,1,0,1,1},
		{1,0,0,1,0,1,0,1,0,0,0,1,1,1,1,1,1,0,1,0,0,0,1,1},
		{1,0,0,1,0,1,0,0,0,1,0,1,1,1,1,1,1,0,1,1,0,1,1,1},
		{1,1,0,1,0,1,0,0,1,1,0,1,1,1,1,1,1,0,1,1,0,1,1,1},
		{1,0,0,1,0,1,0,0,1,0,0,1,1,1,1,1,1,0,0,0,0,0,1,1},
		{1,0,0,1,0,1,0,0,1,0,0,0,0,0,0,0,1,1,1,1,1,0,1,1},
		{1,0,0,0,0,1,0,0,1,0,0,0,1,1,1,0,0,1,1,1,1,0,1,1},
		{1,1,0,1,1,1,0,1,1,1,1,0,1,1,1,1,0,0,0,0,0,0,1,1},
		{1,0,0,0,1,1,0,1,1,1,1,0,1,1,1,1,1,1,1,1,0,0,1,1},
		{1,0,1,0,1,1,0,1,1,1,1,0,1,1,1,1,1,1,1,1,1,0,1,1},
		{1,0,1,0,1,1,0,1,1,1,1,0,1,1,1,1,1,0,0,0,1,0,1,1},
		{1,0,1,0,1,1,0,1,1,1,1,0,1,1,1,0,0,0,0,0,1,0,1,1},
		{1,0,1,0,1,1,0,0,0,1,1,0,0,0,0,0,1,0,1,0,0,0,1,1},
		{1,0,1,0,1,1,0,1,1,1,1,1,0,1,1,0,1,0,1,1,1,0,0,1},
		{1,0,0,0,0,1,0,0,0,0,0,1,0,1,1,0,1,0,0,0,0,0,1,1},
		{1,0,1,1,0,1,1,1,1,1,0,0,0,1,1,0,1,1,1,1,1,0,1,1},
		{1,0,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,1},
		{1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,1},
		{1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,1},
		{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}}
end

function love.update(dt)
	love.keypressed(key) 

	if 	CheckCollision(player.x,player.y,player.size,player.size, -- pc/player collision check
		computer.x,computer.y,computer.size,computer.size) then
		DefeatScreen()
	elseif
		CheckCollision(player.x,player.y,player.size,player.size, -- pc/eXit colision check
		eXit.x,eXit.y,eXit.size,eXit.size) then
		love.load()
	end
		
	
	
	number = love.math.random(1,4)  --computer  movement
	if number == 1 then  -- up
		if map[(computer.y/20)-1][computer.x/20] == 0 then
			computer.y = computer.y - computer.size
		end
	elseif number == 2 then  -- down
		if map[(computer.y/20)+1][computer.x/20] == 0 then
			computer.y = computer.y + computer.size
		end
	elseif number == 3 then -- left
		if map[computer.y/20][(computer.x/20)-1] == 0 then
			computer.x = computer.x - computer.size
		end
	elseif number == 4 then -- right
		if map[computer.y/20][(computer.x/20)+1] == 0 then
			computer.x = computer.x + computer.size
		end
	end	
end


function love.draw()
love.graphics.setColor(255,0,0,255) -- Player
love.graphics.rectangle("fill",player.x,player.y,player.size,player.size)

love.graphics.setColor(0,0,255,255) -- Computer
love.graphics.rectangle("fill",computer.x,computer.y,computer.size,computer.size)

love.graphics.setColor(120,120,0,255) -- eXit
love.graphics.rectangle("fill",eXit.x,eXit.y,eXit.size,eXit.size)

love.graphics.setColor(0,255,0,255) -- map
	for i=1,#map do
		for j = 1,#map do
			if map[i][j] == 1 then
				love.graphics.rectangle("line",j * wallsize,i * wallsize,wallsize,wallsize)
			end
		end
	end
	
	
end


function love.keypressed(key) -- player movement
	if key == "up" then
		if map[(player.y/20)-1][player.x/20] == 0 then
			player.y = player.y - player.size
		end
	elseif key == "down" then
		if map[(player.y/20)+1][player.x/20] == 0 then
			player.y = player.y + player.size
		end
	elseif key == "left" then
		if map[player.y/20][(player.x/20)-1] == 0 then
			player.x = player.x - player.size
		end
	elseif key == "right" then
		if map[player.y/20][(player.x/20)+1] == 0 then
			player.x = player.x + player.size
		end
	elseif key == " " then
		love.load()
	elseif key == "escape" then
		love.event.quit()
	end
end


function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)  -- collision algorithm
		local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
		return ax1 <  bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function DefeatScreen()
	love.graphics.clear()
	love.graphics.printf("You Lose", 300,300,50,"center")
	love.graphics.printf("Press space to retry.        Press escape to exit", 300,350,50,"center")
	
	
end